DumGumDocs
Search documentation

Loading search…

API Reference

Incoming Content Endpoint

Receive events from our platform using an incoming content endpoint.

WEBHOOK https://example.com/my/path

Event Structure

event enum<string>required

The name of the event. Possible values:

  • answer.created
  • answer.processing
  • conversation.dropped
  • chat.image.rejected
  • chat.video.rejected
data objectrequired

The data associated with the event.

You can find the structure of the data object for each event below:

Response example

{
  "event": "answer.created",
  "data": {
    "projectId": "<string>",
    "answer": {
      "id": "answer_XXXXXXXXXXXXXXXXXX",
      "userProfileId": "<string>",
      "personaProfileId": "<string>",
      "type": "TEXT",
      "text": "Lorem ipsum dolor sit amet.",
      "pictureUrl": null,
      "tags": {},
      "cost": "0.025",
      "conversationStopReason": null,
      "conversationStoppedUntil": null,
      "responseTime": 123,
      "sequenceNumber": 123,
      "parentAnswerId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}
Ask DumGum AIAnswers from the documentation

What can we help you build?

Ask about setup, content creation, or the API.

AI can make mistakes—verify important information against the sources. Conversations are kept for 30 days to improve the documentation, and questions and recent messages are sent to a third-party AI provider. Don’t include secrets or sensitive information.